# Class SaslServerPrincipal

java.lang.Object
org.apache.zookeeper.SaslServerPrincipal

public class SaslServerPrincipal extends Object
Computes the Server Principal for a SASL client.

## Constructor Summary

Constructors
Constructor
Description
`SaslServerPrincipal()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaslServerPrincipal

public SaslServerPrincipal()